Bug 523248 - Obsolete Init Script Returns with Success Exit Status
Summary: Obsolete Init Script Returns with Success Exit Status
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 530
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Martin Minar
URL:
Whiteboard:
Depends On:
Blocks: sat550-lowbug
TreeView+ depends on / blocked
 
Reported: 2009-09-14 15:10 UTC by Marko Myllynen
Modified: 2016-07-04 00:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-21 09:33:50 UTC


Attachments (Terms of Use)

Description Marko Myllynen 2009-09-14 15:10:44 UTC
Description of problem:
Satellite 5.3 obsoleted the rhn-satellite init script (ie, /etc/init.d/rhn-satellite) but it still exists in order to print out a warning. However, the script always exits with zero status indicating success which is never the case.

Version-Release number of selected component (if applicable):
5.3

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/rhn-satellite stop
2. echo $?

Additional info:
Exit status should be always non-zero to indicate scripts etc that the script did not do what was perhaps expected.

Comment 1 Miroslav Suchý 2012-03-17 18:46:36 UTC
This script has been removed in Spacewalk. Therefore it should be fixed in next Satellite version.

Comment 2 Clifford Perry 2012-06-18 15:56:34 UTC
Mass reset of bugs for owner to be new default-assignee. 

Cliff

Comment 3 Jan Pazdziora 2012-06-21 11:55:59 UTC
Making bugzilla public.

Comment 5 Clifford Perry 2012-09-21 09:33:50 UTC
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite


Note You need to log in before you can comment on or make changes to this bug.